#############################################################
#
# syslinux
#
#############################################################
SYSLINUX_SITE=ftp://ftp.kernel.org/pub/linux/utils/boot/syslinux
SYSLINUX_SOURCE=syslinux-2.11.tar.bz2
SYSLINUX_DIR=$(BUILD_DIR)/syslinux-2.11
# SYSLINUX_SOURCE=syslinux-3.07.tar.bz2
# SYSLINUX_DIR=$(BUILD_DIR)/syslinux-3.07
SYSLINUX_CAT:=bzcat
SYSLINUX_BINARY:=syslinux
SYSLINUX_TARGET_BINARY:=usr/bin/syslinux
ISOLINUX_BINARY:=isolinux.bin
ISOLINUX_TARGET_DIR:=usr/lib/isolinux
#ifeq ($(strip $(BUILD_WITH_LARGEFILE)),true)
#SYSLINUX_CFLAGS="-Os -g -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
#else
#SYSLINUX_CFLAGS="-Os"
#endif

$(DL_DIR)/$(SYSLINUX_SOURCE):
	 $(WGET) -P $(DL_DIR) $(SYSLINUX_SITE)/$(SYSLINUX_SOURCE)

syslinux-source: $(DL_DIR)/$(SYSLINUX_SOURCE)

$(SYSLINUX_DIR)/.unpacked: $(DL_DIR)/$(SYSLINUX_SOURCE)
	$(SYSLINUX_CAT) $(DL_DIR)/$(SYSLINUX_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(SYSLINUX_DIR)/.unpacked

$(SYSLINUX_DIR)/$(SYSLINUX_BINARY): $(SYSLINUX_DIR)/.unpacked
	$(MAKE) CFLAGS=$(SYSLINUX_CFLAGS) CC=$(TARGET_CC) -C $(SYSLINUX_DIR) syslinux;
	$(MAKE) CFLAGS=$(SYSLINUX_CFLAGS) CC=$(TARGET_CC) -C $(SYSLINUX_DIR) isolinux.bin;

$(TARGET_DIR)/$(SYSLINUX_TARGET_BINARY): $(SYSLINUX_DIR)/$(SYSLINUX_BINARY)
	cp -a $(SYSLINUX_DIR)/$(SYSLINUX_BINARY) $(TARGET_DIR)/$(SYSLINUX_TARGET_BINARY)
	-mkdir -p $(TARGET_DIR)/$(ISOLINUX_TARGET_DIR);
	cp -a $(SYSLINUX_DIR)/$(ISOLINUX_BINARY) $(TARGET_DIR)/$(ISOLINUX_TARGET_DIR)/$(ISOLINUX_BINARY)

syslinux: uclibc $(TARGET_DIR)/$(SYSLINUX_TARGET_BINARY)

syslinux-clean:
	$(MAKE) DESTDIR=$(TARGET_DIR) CC=$(TARGET_CC) -C $(SYSLINUX_DIR) uninstall
	-$(MAKE) -C $(SYSLINUX_DIR) clean

syslinux-dirclean:
	rm -rf $(SYSLINUX_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_SYSLINUX)),y)
TARGETS+=syslinux
endif
